Qt Utilities: QtUtilities::ColorButton Class Reference

Qt Utilities 6.21.3 Common Qt related C++ classes and routines used by my applications such as dialogs, widgets and models

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Member Functions | Properties | List of all members
QtUtilities::ColorButton Class Reference

The ColorButton class is used by PaletteEditor. More...

`#include <colorbutton.h>`

Inheritance diagram for QtUtilities::ColorButton:
[legend]
Collaboration diagram for QtUtilities::ColorButton:
[legend]

## Public Slots
void | setColor (const QColor &color)

## Signals
void | colorChanged (const QColor &color)

## Public Member Functions
| ColorButton (QWidget *parent=nullptr)
| ~ColorButton () override
bool | isBackgroundCheckered () const
void | setBackgroundCheckered (bool checkered)
QColor | color () const

## Protected Member Functions
void | paintEvent (QPaintEvent *event) override
void | mousePressEvent (QMouseEvent *event) override
void | mouseMoveEvent (QMouseEvent *event) override
void | dragEnterEvent (QDragEnterEvent *event) override
void | dragLeaveEvent (QDragLeaveEvent *event) override
void | dropEvent (QDropEvent *event) override

## Properties
QColor | color
bool | backgroundCheckered

## Detailed Description

The ColorButton class is used by PaletteEditor.

This is taken from qttools/src/shared/qtgradienteditor/qtcolorbutton.h.

Definition at line 15 of file colorbutton.h.

## Constructor & Destructor Documentation

## ◆ ColorButton()

QtUtilities::ColorButton::ColorButton | ( | QWidget * | parent = nullptr | ) |

Definition at line 82 of file colorbutton.cpp.

## ◆ ~ColorButton()

QtUtilities::ColorButton::~ColorButton | ( |  | ) |
| override

Definition at line 96 of file colorbutton.cpp.

## Member Function Documentation

## ◆ color()

QColor QtUtilities::ColorButton::color | ( |  | ) | const

Definition at line 108 of file colorbutton.cpp.

## ◆ colorChanged

void QtUtilities::ColorButton::colorChanged | ( | const QColor & | color | ) |
| signal

## ◆ dragEnterEvent()

void QtUtilities::ColorButton::dragEnterEvent | ( | QDragEnterEvent * | event | ) |
| overrideprotected

Definition at line 187 of file colorbutton.cpp.

## ◆ dragLeaveEvent()

void QtUtilities::ColorButton::dragLeaveEvent | ( | QDragLeaveEvent * | event | ) |
| overrideprotected

Definition at line 199 of file colorbutton.cpp.

## ◆ dropEvent()

void QtUtilities::ColorButton::dropEvent | ( | QDropEvent * | event | ) |
| overrideprotected

Definition at line 206 of file colorbutton.cpp.

## ◆ isBackgroundCheckered()

bool QtUtilities::ColorButton::isBackgroundCheckered | ( |  | ) | const

Definition at line 121 of file colorbutton.cpp.

## ◆ mouseMoveEvent()

void QtUtilities::ColorButton::mouseMoveEvent | ( | QMouseEvent * | event | ) |
| overrideprotected

Definition at line 168 of file colorbutton.cpp.

## ◆ mousePressEvent()

void QtUtilities::ColorButton::mousePressEvent | ( | QMouseEvent * | event | ) |
| overrideprotected

Definition at line 159 of file colorbutton.cpp.

## ◆ paintEvent()

void QtUtilities::ColorButton::paintEvent | ( | QPaintEvent * | event | ) |
| overrideprotected

Definition at line 126 of file colorbutton.cpp.

## ◆ setBackgroundCheckered()

void QtUtilities::ColorButton::setBackgroundCheckered | ( | bool | checkered | ) |

Definition at line 113 of file colorbutton.cpp.

## ◆ setColor

void QtUtilities::ColorButton::setColor | ( | const QColor & | color | ) |
| slot

Definition at line 100 of file colorbutton.cpp.

## Property Documentation

## ◆ backgroundCheckered

bool QtUtilities::ColorButton::backgroundCheckered
| readwrite

Definition at line 18 of file colorbutton.h.

## ◆ color

QColor QtUtilities::ColorButton::color
| readwrite

Definition at line 17 of file colorbutton.h.

The documentation for this class was generated from the following files:

- paletteeditor/colorbutton.h
- paletteeditor/colorbutton.cpp